## connectagram 1.0.1

=== debian/changelog ===
connectagram (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #580752)  

 -- tang ke <tangk@lemote.com>  Fri, 07 May 2010 17:09:50 +0800
