=== debian/control ===
Source: connectagram
Section: games
Priority: optional
Maintainer: tang ke <tangk@lemote.com>
Build-Depends: debhelper (>= 7), libqt4-dev (>= 4.4), quilt
Standards-Version: 3.8.4
Homepage: http://gottcode.org/connectagram/

Package: connectagram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: word unscrambling game
 The board consists of several scrambled words that are joined together.
 You can choose the length of the words, the amount of words, and the
 pattern that the words are arranged in. The game provides a hint option
 for times when you are stuck.
