=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#include /usr/share/quilt/quilt.make
#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp   
	dh_testdir

	# Add here commands to compile the package.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE)
	rm $(CURDIR)/Makefile -rf

	touch $@

clean: clean-stamp 
clean-stamp:	
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE) clean
	rm $(CURDIR)/Makefile -rf
	rm $(CURDIR)/bin/connectagram -rf
	rm $(CURDIR)/build -rf

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	# Add here commands to install the package into debian/connectagram.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE) DESTDIR=$(CURDIR)/debian/connectagram install
	rm $(CURDIR)/Makefile -rf
	install -s $(CURDIR)/bin/connectagram $(CURDIR)/debian/connectagram/usr/games/
	cp $(CURDIR)/icons/connectagram.png $(CURDIR)/debian/connectagram/usr/share/icons/hicolor/48x48/
	cp $(CURDIR)/icons/connectagram.desktop $(CURDIR)/debian/connectagram/usr/share/applications/
	cp $(CURDIR)/share $(CURDIR)/debian/connectagram/usr/ -a

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
