=== debian/watch ===
version=3
http://gottcode.org/connectagram/connectagram-(.*)-src\.tar\.bz2
