## connectagram 1.1.2

=== debian/changelog ===
connectagram (1.1.2-2) unstable; urgency=medium

  * GPL-3+ in copyright (Closes: #747865)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 13 May 2014 10:01:50 +0200

connectagram (1.1.2-1) unstable; urgency=medium

  * Imported Upstream version 1.1.2 (Closes: #726101)
  * Bump standards to 3.9.5 and compat to 9
  * New maintainer (Closes: #746459)
  * Split packages to connectagram and connectagram-data, containing word list
    files
  * Removed unneeded patch (Closes: #643082)
  * Migrated to dh
  * debian/copyright formatted according to DEP-5
  * Fixed watch file
  * Added menu file and keyword to desktop file (Closes: #737849)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 02 May 2014 20:02:56 +0200
