=== debian/control ===
Source: connectagram
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.4)
Standards-Version: 3.9.5
Homepage: http://gottcode.org/connectagram/
Vcs-Git: git://anonscm.debian.org/pkg-games/connectagram.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/connectagram.git

Package: connectagram
Architecture: any
Depends:
 connectagram-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: word unscrambling game
 The board consists of several scrambled words that are joined together.
 You can choose the length of the words, the amount of words, and the
 pattern that the words are arranged in. The game provides a hint option
 for times when you are stuck.

Package: connectagram-data
Architecture: all
Replaces: connectagram (<< 1.1.2-1)
Breaks: connectagram (<< 1.1.2-1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: word unscrambling game - data files
 The board consists of several scrambled words that are joined together.
 You can choose the length of the words, the amount of words, and the
 pattern that the words are arranged in. The game provides a hint option
 for times when you are stuck.
 .
 This package provides data files required by connectagram.
 They include word lists and translations.
