## connectagram 1.2.1

=== debian/changelog ===
connectagram (1.2.1-2) unstable; urgency=medium

  * export QT_SELECT=5 in d/rules added (Closes: #777610)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 13 Feb 2015 18:26:33 +0100

connectagram (1.2.1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.1
  * add-desktop.keyword.patch refreshed
  * d/gdb.conf added
  * d/control
    - Bump standards to 3.9.6, no changes needed
    - removed libqt4-dev from Build-Deps
    - added qtbase5-dev to Build-Deps

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 10 Feb 2015 12:34:15 +0100
