=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.4)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), qtbase5-dev
+Standards-Version: 3.9.6
 Homepage: http://gottcode.org/connectagram/
 Vcs-Git: git://anonscm.debian.org/pkg-games/connectagram.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/connectagram.git
