## connectagram 1.2.4

=== debian/changelog ===
connectagram (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Updated dates in copyright
  * Added qttools5-dev-tools to Build-Deps

 -- Dariusz Dwornikowski <darek@debian.org>  Sat, 21 Jan 2017 13:56:57 +0100

connectagram (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * Changed the maintainer email address to d.o 
  * Updated dates in d/copyright
  * Refreshed the desktop file patch
  * Bump standards to 3.9.8
    - dropped debian menu system file
  * Updated VCS fields with https
  * Added hardening +all
  * Added the upstream changelog

 -- Dariusz Dwornikowski <darek@debian.org>  Tue, 11 Oct 2016 10:24:00 +0200
