=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 9), qtbase5-dev
-Standards-Version: 3.9.6
+Uploaders: Dariusz Dwornikowski <darek@debian.org>
+Build-Depends: 
+  debhelper (>= 9), 
+  qttools5-dev-tools, 
+  qtbase5-dev
+Standards-Version: 3.9.8
 Homepage: http://gottcode.org/connectagram/
-Vcs-Git: git://anonscm.debian.org/pkg-games/connectagram.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/connectagram.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/connectagram.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/connectagram.git
 
 Package: connectagram
 Architecture: any
