=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr BINDIR=games

override_dh_installchangelogs:
	dh_installchangelogs NEWS
