## connectagram 1.2.6

=== debian/changelog ===
connectagram (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6 (Closes: #896443).
  * Updated dates and write secure URI in debian/copyright file.
  * Bumped to debhelper and compat level 11.
  * Bumped to Standards-Version 4.1.4.
  * Migrated to the salsa repository.
  * Install upstream manpage (removed Debian manpage).
  * Removed unnecessary dh argument --parallel on d/rules.
  * Added hardening flags on debian/rules.
  * Drop deprecated debian/menu file.
  * Added Multi-Arch field on debian/control.
  * Added debian/upstream/metadata file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 21 Apr 2018 17:13:23 +0100
