=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dariusz Dwornikowski <darek@debian.org>
-Build-Depends: 
-  debhelper (>= 9), 
-  qttools5-dev-tools, 
+Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
+Build-Depends:
+  debhelper (>= 11),
+  qttools5-dev-tools,
   qtbase5-dev
-Standards-Version: 3.9.8
-Homepage: http://gottcode.org/connectagram/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/connectagram.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/connectagram.git
+Standards-Version: 4.1.4
+Homepage: https://gottcode.org/connectagram/
+Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
+Vcs-Browser: https://salsa.debian.org/games-team/connectagram
 
 Package: connectagram
 Architecture: any
@@ -26,6 +26,7 @@
 
 Package: connectagram-data
 Architecture: all
+Multi-Arch: foreign
 Replaces: connectagram (<< 1.1.2-1)
 Breaks: connectagram (<< 1.1.2-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
