## connectagram 1.2.7

=== debian/changelog ===
connectagram (1.2.7-1) unstable; urgency=medium

  * New upstream version.
  * Removed add-desktop-keyword.patch (has been added by the
    author in the sources).
  * Added icon field to .desktop file (with a patch).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 10 Jun 2018 17:10:12 +0100
