## connectagram 1.2.8

=== debian/changelog ===
connectagram (1.2.8-1) unstable; urgency=medium

  * New upstream version.
  * Removed add-icon-to-desktop.patch (has been added by the
    author in the sources).
  * Updated years on d/copyright (add fix typo error on e-mail).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 23 Jun 2018 11:09:24 +0100
