## connectagram 1.2.9

=== debian/changelog ===
connectagram (1.2.9-5) unstable; urgency=medium

  * Fix copyright file problem

 -- Jonathan Carter <jcc@debian.org>  Thu, 04 Apr 2019 14:37:05 +0200

connectagram (1.2.9-4) unstable; urgency=medium

  * Fix debian games team e-mail address
  * Update debian/copyright

 -- Jonathan Carter <jcc@debian.org>  Sun, 24 Mar 2019 09:03:35 +0000

connectagram (1.2.9-2) unstable; urgency=medium

  * Add self to maintainers and update maintainer fields (Closes: #922910)
  * Upgrade to debian-compat (= 12)
  * Update standards version to 4.3.0

 -- Jonathan Carter <jcc@debian.org>  Fri, 22 Feb 2019 13:51:48 +0000

connectagram (1.2.9-1) unstable; urgency=medium

  * New upstream version.
  * Bumped to Standards-Version 4.1.5
    (no changes required).
  * Removed override_dh_installchangelogs from d/rules
    (the author has added a changelog file to the sources).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Tue, 24 Jul 2018 10:50:12 +0100
