=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: connectagram
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
+Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net> 
+Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
-  debhelper (>= 11),
+  debhelper-compat (= 12),
   qttools5-dev-tools,
   qtbase5-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
 Vcs-Browser: https://salsa.debian.org/games-team/connectagram
