## connectagram 1.2.10

=== debian/changelog ===
connectagram (1.2.10-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:49 +0100

connectagram (1.2.10-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sat, 10 Aug 2019 18:33:38 +0200

connectagram (1.2.9-6) unstable; urgency=medium

  * Upgrade to standards version 4.4.0
  * Fix syntax in debian/copyright
  * Initial source-only upload

 -- Jonathan Carter <jcc@debian.org>  Tue, 09 Jul 2019 09:19:41 +0000
