=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
   debhelper-compat (= 12),
   qttools5-dev-tools,
   qtbase5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
 Vcs-Browser: https://salsa.debian.org/games-team/connectagram
