## connectagram 1.2.11

=== debian/changelog ===
connectagram (1.2.11-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian-provided man page, as upstream already ships one.
  * Copy the upstream man page using connectagram.install rather than
    connectagram.manpages, as it is already installed in the proper location.
  * Drop the dirs file, as the upstream build system already creates all the
    needed directories.

  [ Jonathan Carter ]
  * Update standards version to 4.6.0
  * Remove unknown upstream metadata fields
  * Remove no longer needed as-needed linker flag

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Sep 2021 09:54:44 +0200

connectagram (1.2.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.5.0
  * Upgrade debhelper-compat to 13
  * Declare Rules-Requires-Root: no

 -- Debian Janitor <janitor@jelmer.uk>  Sun, 12 Apr 2020 15:12:29 +0000
