=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: connectagram
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net> 
+Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
-  debhelper-compat (= 12),
+  debhelper-compat (= 13),
   qttools5-dev-tools,
   qtbase5-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
 Vcs-Browser: https://salsa.debian.org/games-team/connectagram
