=== debian/watch ===
version=4
https://github.com/gottcode/connectagram/releases .*/archive/v(\d[\d\.]+)\.tar\.gz
