## connectagram 1.3.1

=== debian/changelog ===
connectagram (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Update watch file
  * New build dependencies:
    - qt6-tools-dev
    - qt6-l10n-tools
    - qt6-tools-dev-tools
    - mesa-common-dev
    - libgl1-mesa-dev
    - libglu1-mesa-dev
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Thu, 13 Jan 2022 12:09:31 +0200
