=== debian/control ===
--- 
+++ 
@@ -4,9 +4,16 @@
 Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
-  debhelper-compat (= 13),
-  qttools5-dev-tools,
-  qtbase5-dev
+  cmake,
+  qt6-tools-dev,
+  qt6-l10n-tools,
+  qt6-tools-dev-tools,
+  qt6-base-dev-tools,
+  libqt6widgets6,
+  libqt6gui6,
+  libqt6core6,
+  mesa-common-dev,
+  debhelper-compat (= 13)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/connectagram/
