=== debian/watch ===
version=4
https://github.com/gottcode/connectagram/tags .*/archive/refs/tags/v(\d[\d\.]+)\.tar\.gz
