## connectagram 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # Configure project
-project(connectagram VERSION 1.3.1 LANGUAGES CXX)
+project(connectagram VERSION 1.3.2 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -14,11 +14,13 @@
 	include(GNUInstallDirs)
 endif()
 
-add_compile_definitions(
-	QT_STRICT_ITERATORS
-	QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-	QT_DISABLE_DEPRECATED_BEFORE=0x060000
-)
+if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+	add_compile_definitions(
+		QT_STRICT_ITERATORS
+		QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+		QT_DISABLE_DEPRECATED_BEFORE=0x060300
+	)
+endif()
 
 # Create translations
 file(GLOB translations_SRCS translations/*.ts)
@@ -69,7 +71,6 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/connectagram/translations)
 	install(FILES doc/connectagram.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/connectagram.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
 	install(FILES icons/connectagram.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 	install(FILES icons/connectagram.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 elseif(WIN32)
@@ -80,7 +81,7 @@
 		QT_TARGET_VERSION "${PROJECT_VERSION}"
 		QT_TARGET_COMPANY_NAME "Graeme Gott"
 		QT_TARGET_DESCRIPTION "Anagram game"
-		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
+		QT_TARGET_COPYRIGHT "Copyright (C) 2022 Graeme Gott"
 		QT_TARGET_PRODUCT_NAME "Connectagram"
 		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/connectagram.ico
 	)
