=== debian/changelog ===
connectagram (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * Remove usr/share/pixmaps from debian/install (no longer used)

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 May 2022 10:48:51 +0200
