=== debian/changelog ===
connectagram (1.3.3-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 08 Feb 2023 09:35:22 +0200
