=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   libqt6core6,
   mesa-common-dev,
   debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
