=== debian/changelog ===
connectagram (1.3.4-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Jun 2023 16:20:00 +0200
