=== debian/changelog ===
connectagram (1.3.5-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:01 +1100

connectagram (1.3.5-2) unstable; urgency=medium

  * Team Upload
  * do not add runtime dependencies as build-dependencies (Closes: #1067459)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Mar 2024 23:07:00 +0100

connectagram (1.3.5-1) unstable; urgency=medium

  * New upstream release
  * Accept commit for updating alioth mailing list address

 -- Jonathan Carter <jcc@debian.org>  Wed, 24 Jan 2024 14:22:26 +0200
