=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: connectagram
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
   cmake,
@@ -9,9 +10,6 @@
   qt6-l10n-tools,
   qt6-tools-dev-tools,
   qt6-base-dev-tools,
-  libqt6widgets6,
-  libqt6gui6,
-  libqt6core6,
   mesa-common-dev,
   debhelper-compat (= 13)
 Standards-Version: 4.6.2
