=== debian/changelog ===
connectagram (1.3.6-1) unstable; urgency=medium

  * New upstream release
  * Clean up compiled word lists on dh_clean
    (Closes: #1044883)
  * Update standards version to 4.7.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 09 Jan 2025 13:10:19 +0200
