## connectagram 1.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(connectagram VERSION 1.3.6 LANGUAGES CXX)
+project(connectagram VERSION 1.3.8 LANGUAGES CXX)
 
 set(project_copyright "2009-2025 Graeme Gott")
 
@@ -31,6 +31,21 @@
 
 # Create program
 qt_add_executable(connectagram
+	# Headers
+	src/board.h
+	src/cell.h
+	src/clock.h
+	src/definitions.h
+	src/letter.h
+	src/locale_dialog.h
+	src/new_game_dialog.h
+	src/pattern.h
+	src/scores_dialog.h
+	src/view.h
+	src/window.h
+	src/word.h
+	src/wordlist.h
+	# Sources
 	src/board.cpp
 	src/cell.cpp
 	src/clock.cpp
@@ -45,6 +60,7 @@
 	src/window.cpp
 	src/word.cpp
 	src/wordlist.cpp
+	# Resources
 	icons/icons.qrc
 	${translations_QM}
 )
@@ -156,8 +172,9 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/connectagram/translations)
 	install(FILES doc/connectagram.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/connectagram.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-	install(FILES icons/connectagram.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	include(cmake/TranslateMetainfo.cmake)
+	process_and_install_metainfo(PO_DIR ${CMAKE_SOURCE_DIR}/icons/po)
 endif()
 
 set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS CONNECTAGRAM_DATADIR="${datadir}")
