=== debian/changelog ===
connectagram (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2025 12:28:27 +0200
