=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 	CPPFLAGS="$(CPPFLAGS)" \
 	CFLAGS="$(CFLAGS)" \
 	LDFLAGS="$(LDFLAGS)"
+
+override_dh_clean:
+	dh_clean
+	rm -f gamedata/*/words
