=== debian/changelog ===
connectagram (1.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 02 Mar 2026 18:03:36 +0200
